package v2template_request

import (
	"private-go-sdk/http"
	"encoding/json"
	"private-go-sdk/model/common"
)

type V2TemplateStatusRequest struct {
	// <ext>core:true;format:string</ext> 【模板id】模板id 【作用】 可通过2种方式获取： 1、在电子签章平台找到模板并复制模板ID 2、通过如下接口路径可获取模板ID 1）<docs>/v2/template/group</docs> 2）<docs>/template/list</docs>
	TemplateId *int64 `json:"templateId"`
	// <ext>core:true</ext> 【模板状态】模板状态 【传参】 取值范围：1（启用），0（停用）。
	Status *int64 `json:"status"`
	Operator *common.UserInfoRequest `json:"operator,omitempty"`
}
func (obj V2TemplateStatusRequest) GetUrl() string {
    return "/v2/template/status"
}

func (obj V2TemplateStatusRequest) GetHttpParameter() *http.HttpParameter {
    parameter := http.NewPostHttpParameter()
    jsonBytes, _ := json.Marshal(obj)
    parameter.SetJsonParamer(string(jsonBytes))
    return parameter
}
